CREATE TABLE fos_cost_details_gt (
    TRANSACTION_ID                 NUMBER(18, 0) ,
    UNIT_COST                      NUMBER            NOT NULL,
    NEXT_FTR_ID                    NUMBER(18, 0)     NOT NULL,
    UOM_CODE                       VARCHAR2(12)  ,
    CURRENCY_CODE                  VARCHAR2(60)      NOT NULL,
    CURRENCY_CONVERSION_TYPE       VARCHAR2(120) ,
    CURRENCY_CONVERSION_DATE       DATE          ,
    OWNERSHIP_CHANGE_EVENT_TYPE    VARCHAR2(400)     NOT NULL,
    OWNERSHIP_CHANGE_TXN_ID        VARCHAR2(400)     NOT NULL,
    TRANSACTION_CONTEXT            VARCHAR2(120) ,
    SOURCE_DOCUMENT_ID             NUMBER(18, 0) ,
    STATUS                         VARCHAR2(4)   ,
    ERROR_MESSAGE                  VARCHAR2(2048),
    CST_INV_TRANSACTION_ID         NUMBER(18, 0) ,
    TRANSACTION_ID                 NUMBER(18, 0) ,
    UNIT_COST                      NUMBER            NOT NULL,
    NEXT_FTR_ID                    NUMBER(18, 0)     NOT NULL,
    UOM_CODE                       VARCHAR2(12)  ,
    CURRENCY_CODE                  VARCHAR2(60)      NOT NULL,
    OWNERSHIP_CHANGE_EVENT_TYPE    VARCHAR2(400)     NOT NULL,
    OWNERSHIP_CHANGE_TXN_ID        VARCHAR2(400)     NOT NULL,
    TRANSACTION_CONTEXT            VARCHAR2(120) ,
    SOURCE_DOCUMENT_ID             NUMBER(18, 0) ,
    STATUS                         VARCHAR2(4)   ,
    ERROR_MESSAGE                  VARCHAR2(2048),
    CST_INV_TRANSACTION_ID         NUMBER(18, 0) ,
    CURRENCY_CONVERSION_DATE       DATE          ,
    CURRENCY_CONVERSION_TYPE       VARCHAR2(120) 
);
